## node-bunyan 2.0.4+~cs4.4.2

=== Makefile ===

SHELL := bash

#---- Tools

NODEUNIT := ./node_modules/.bin/nodeunit
SUDO := sudo
ifeq ($(shell uname -s),SunOS)
	# On SunOS (e.g. SmartOS) we expect to run the test suite as the
	# root user -- necessary to run dtrace. Therefore `pfexec` isn't
	# necessary.
	SUDO :=
endif
DTRACE_UP_IN_HERE=
ifeq ($(shell uname -s),SunOS)
    DTRACE_UP_IN_HERE=1
endif
ifeq ($(shell uname -s),Darwin)
    DTRACE_UP_IN_HERE=1
endif
NODEOPT ?= $(HOME)/opt


#---- Files

JSSTYLE_FILES := $(shell find lib test tools examples -name "*.js") bin/bunyan


#---- Targets

all $(NODEUNIT):
	npm install $(NPM_INSTALL_FLAGS)

# Ensure all version-carrying files have the same version.
.PHONY: versioncheck
versioncheck:
	@echo version is: $(shell node -e 'console.log(require("./package.json").version)')
	[[ `node -e 'console.log(require("./package.json").version)'` == `grep '^## ' CHANGES.md | head -2 | tail -1 | awk '{print $$2}'` ]]
	@echo Version check ok.

.PHONY: cutarelease
cutarelease: check
	[[ -z `git status --short` ]]  # If this fails, the working dir is dirty.
	@which json 2>/dev/null 1>/dev/null && \
	    ver=$(shell json -f package.json version) && \
	    name=$(shell json -f package.json name) && \
	    publishedVer=$(shell npm view -j $(shell json -f package.json name)@$(shell json -f package.json version) version 2>/dev/null) && \
	    if [[ -n "$$publishedVer" ]]; then \
		echo "error: $$name@$$ver is already published to npm"; \
		exit 1; \
	    fi && \
	    echo "** Are you sure you want to tag and publish $$name@$$ver to npm?" && \
	    echo "** Enter to continue, Ctrl+C to abort." && \
	    read
	ver=$(shell cat package.json | json version) && \
	    date=$(shell date -u "+%Y-%m-%d") && \
	    git tag -a "$$ver" -m "version $$ver ($$date) beta" && \
	    git push --tags origin && \
	    npm publish --tag beta

.PHONY: docs
docs: toc
	@[[ `which ronn` ]] || (echo "No 'ronn' on your PATH. Install with 'gem install ronn'" && exit 2)
	mkdir -p man/man1
	ronn --style=toc --manual="bunyan manual" --date=$(shell git log -1 --pretty=format:%cd --date=short) --roff --html docs/bunyan.1.ronn
	python -c 'import sys; h = open("docs/bunyan.1.html").read(); h = h.replace(".mp dt.flush {float:left;width:8ex}", ""); open("docs/bunyan.1.html", "w").write(h)'
	python -c 'import sys; h = open("docs/bunyan.1.html").read(); h = h.replace("</body>", """<a href="https://github.com/trentm/node-bunyan"><img style="position: absolute; top: 0; right: 0; border: 0;" src="https://s3.amazonaws.com/github/ribbons/forkme_right_darkblue_121621.png" alt="Fork me on GitHub"></a></body>"""); open("docs/bunyan.1.html", "w").write(h)'
	@echo "# test with 'man ./docs/bunyan.1' and 'open ./docs/bunyan.1.html'"

# Re-generate the README.md table of contents.
toc:
	./node_modules/.bin/markdown-toc -i README.md


.PHONY: publish
publish:
	mkdir -p tmp
	[[ -d tmp/bunyan-gh-pages ]] || git clone git@github.com:trentm/node-bunyan.git tmp/bunyan-gh-pages
	cd tmp/bunyan-gh-pages && git checkout gh-pages && git pull --rebase origin gh-pages
	cp docs/index.html tmp/bunyan-gh-pages/index.html
	cp docs/bunyan.1.html tmp/bunyan-gh-pages/bunyan.1.html
	(cd tmp/bunyan-gh-pages \
		&& git commit -a -m "publish latest docs" \
		&& git push origin gh-pages || true)

.PHONY: distclean
distclean:
	rm -rf node_modules


#---- test

.PHONY: test
test: $(NODEUNIT)
	test -z "$(DTRACE_UP_IN_HERE)" || test -n "$(SKIP_DTRACE)" || \
		(node -e 'require("dtrace-provider").createDTraceProvider("isthisthingon")' && \
		echo "\nNote: Use 'SKIP_DTRACE=1 make test' to skip parts of the test suite that require root." && \
		$(SUDO) $(NODEUNIT) test/dtrace/*.test.js)
	$(NODEUNIT) test/*.test.js

# Test with all node supported versions (presumes install locations I use on
# my machine -- "~/opt/node-VER"):
# Note: 'test4' is last so (if all is well) I end up with a binary
# dtrace-provider build for my current default node version.
.PHONY: testall
testall: test7 test6 test012 test010 test4

.PHONY: test7
test7:
	@echo "# Test node 7.x (with node `$(NODEOPT)/node-7/bin/node --version`)"
	@$(NODEOPT)/node-7/bin/node --version | grep '^v7\.'
	PATH="$(NODEOPT)/node-7/bin:$(PATH)" make distclean all test
.PHONY: test6
test6:
	@echo "# Test node 6.x (with node `$(NODEOPT)/node-6/bin/node --version`)"
	@$(NODEOPT)/node-6/bin/node --version | grep '^v6\.'
	PATH="$(NODEOPT)/node-6/bin:$(PATH)" make distclean all test
.PHONY: test4
test4:
	@echo "# Test node 4.x (with node `$(NODEOPT)/node-4/bin/node --version`)"
	@$(NODEOPT)/node-4/bin/node --version | grep '^v4\.'
	PATH="$(NODEOPT)/node-4/bin:$(PATH)" make distclean all test
.PHONY: test012
test012:
	@echo "# Test node 0.12.x (with node `$(NODEOPT)/node-0.12/bin/node --version`)"
	@$(NODEOPT)/node-0.12/bin/node --version | grep '^v0\.12\.'
	PATH="$(NODEOPT)/node-0.12/bin:$(PATH)" make distclean all test
.PHONY: test010
test010:
	@echo "# Test node 0.10.x (with node `$(NODEOPT)/node-0.10/bin/node --version`)"
	@$(NODEOPT)/node-0.10/bin/node --version | grep '^v0\.10\.'
	PATH="$(NODEOPT)/node-0.10/bin:$(PATH)" make distclean all test


#---- check

.PHONY: check-jsstyle
check-jsstyle: $(JSSTYLE_FILES)
	./tools/jsstyle -o indent=4,doxygen,unparenthesized-return=0,blank-after-start-comment=0,leading-right-paren-ok=1 $(JSSTYLE_FILES)

.PHONY: check
check: check-jsstyle versioncheck
	@echo "Check ok."

.PHONY: prepush
prepush: check testall
	@echo "Okay to push."

## node-bunyan 2.0.5+~cs4.4.2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 #---- Tools
 
-NODEUNIT := ./node_modules/.bin/nodeunit
+TAP_EXEC := ./node_modules/.bin/tap
 SUDO := sudo
 ifeq ($(shell uname -s),SunOS)
 	# On SunOS (e.g. SmartOS) we expect to run the test suite as the
@@ -18,7 +18,6 @@
 ifeq ($(shell uname -s),Darwin)
     DTRACE_UP_IN_HERE=1
 endif
-NODEOPT ?= $(HOME)/opt
 
 
 #---- Files
@@ -28,7 +27,7 @@
 
 #---- Targets
 
-all $(NODEUNIT):
+all $(TAP_EXEC):
 	npm install $(NPM_INSTALL_FLAGS)
 
 # Ensure all version-carrying files have the same version.
@@ -91,45 +90,12 @@
 #---- test
 
 .PHONY: test
-test: $(NODEUNIT)
+test: $(TAP_EXEC)
 	test -z "$(DTRACE_UP_IN_HERE)" || test -n "$(SKIP_DTRACE)" || \
 		(node -e 'require("dtrace-provider").createDTraceProvider("isthisthingon")' && \
 		echo "\nNote: Use 'SKIP_DTRACE=1 make test' to skip parts of the test suite that require root." && \
-		$(SUDO) $(NODEUNIT) test/dtrace/*.test.js)
-	$(NODEUNIT) test/*.test.js
-
-# Test with all node supported versions (presumes install locations I use on
-# my machine -- "~/opt/node-VER"):
-# Note: 'test4' is last so (if all is well) I end up with a binary
-# dtrace-provider build for my current default node version.
-.PHONY: testall
-testall: test7 test6 test012 test010 test4
-
-.PHONY: test7
-test7:
-	@echo "# Test node 7.x (with node `$(NODEOPT)/node-7/bin/node --version`)"
-	@$(NODEOPT)/node-7/bin/node --version | grep '^v7\.'
-	PATH="$(NODEOPT)/node-7/bin:$(PATH)" make distclean all test
-.PHONY: test6
-test6:
-	@echo "# Test node 6.x (with node `$(NODEOPT)/node-6/bin/node --version`)"
-	@$(NODEOPT)/node-6/bin/node --version | grep '^v6\.'
-	PATH="$(NODEOPT)/node-6/bin:$(PATH)" make distclean all test
-.PHONY: test4
-test4:
-	@echo "# Test node 4.x (with node `$(NODEOPT)/node-4/bin/node --version`)"
-	@$(NODEOPT)/node-4/bin/node --version | grep '^v4\.'
-	PATH="$(NODEOPT)/node-4/bin:$(PATH)" make distclean all test
-.PHONY: test012
-test012:
-	@echo "# Test node 0.12.x (with node `$(NODEOPT)/node-0.12/bin/node --version`)"
-	@$(NODEOPT)/node-0.12/bin/node --version | grep '^v0\.12\.'
-	PATH="$(NODEOPT)/node-0.12/bin:$(PATH)" make distclean all test
-.PHONY: test010
-test010:
-	@echo "# Test node 0.10.x (with node `$(NODEOPT)/node-0.10/bin/node --version`)"
-	@$(NODEOPT)/node-0.10/bin/node --version | grep '^v0\.10\.'
-	PATH="$(NODEOPT)/node-0.10/bin:$(PATH)" make distclean all test
+		$(SUDO) $(TAP_EXEC) test/dtrace/*.test.js)
+	$(TAP_EXEC) test/*.test.js
 
 
 #---- check

=== debian/changelog ===
node-bunyan (2.0.5+~cs4.4.2-1) unstable; urgency=medium

  ( lintian-brush ]
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ Xavier Guimard ]
  * Declare compliance with policy 4.5.1
  * Add ctype=nodejs to component(s)
  * New upstream version 2.0.5+~cs4.4.2
  * Update test: use tap instead of nodeunit
  * Add dependency to node-mkdirp and node-rimraf (for node-mv)
  * Add fix for node-mkdirp ≥ 1

 -- Xavier Guimard <yadd@debian.org>  Thu, 14 Jan 2021 23:05:29 +0100

node-bunyan (2.0.4+~cs4.4.2-1) unstable; urgency=medium

  * Team puload
    Updates:
     + bunyan 2.0.4
    Really 2.0.4+~1.1.1+~2.1.1+~1.2.0
  * Bump debhelper compatibility level to 13
  * Use dh-sequence-nodejs
  * Use uscan checksum
  * New upstream version 2.0.4+~cs4.4.2
  * Install all components in root directories
  * Install bunyan binary link
  * Refresh patches
  * Update docs
  * Update lintian overrides to ignore a lintian bug
  * Install exeunt examples

 -- Xavier Guimard <yadd@debian.org>  Fri, 16 Oct 2020 07:54:11 +0200

node-bunyan (2.0.2-2) unstable; urgency=medium

  * Team upload.
  * Bumping debhelper-compat (no changes).

 -- Andrius Merkys <merkys@debian.org>  Fri, 16 Oct 2020 01:32:53 -0400

node-bunyan (2.0.2-1) unstable; urgency=low

  * Initial release (Closes: #902062)

 -- Xavier Guimard <yadd@debian.org>  Sun, 26 Apr 2020 22:18:35 +0200

=== debian/control ===
Source: node-bunyan
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Xavier Guimard <yadd@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends:
 debhelper-compat (= 13)
 , dh-sequence-nodejs
 , node-mkdirp <!nocheck>
 , node-moment <!nocheck>
 , node-ncp <!nocheck>
 , node-rimraf <!nocheck>
 , node-tap <!nocheck>
 , node-vasync <!nocheck>
 , node-verror <!nocheck>
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/js-team/node-bunyan
Vcs-Git: https://salsa.debian.org/js-team/node-bunyan.git
Homepage: https://github.com/trentm/node-bunyan#readme
Rules-Requires-Root: no

Package: node-bunyan
Architecture: all
Depends:
 ${misc:Depends}
 , node-dtrace-provider
 , node-mkdirp (>= 1)
 , node-moment
 , node-ncp
 , node-rimraf
 , nodejs
Provides: bunyan, ${nodejs:Provides}
Description: simple and fast JSON logging library for node.js services
 bunyan structures server logs in JSON format.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-bunyan-$1.tar.gz/ \
 https://github.com/trentm/node-bunyan/releases .*/archive/v?([\d\.]+).tar.gz group

opts=\
dversionmangle=auto,\
ctype=nodejs,\
component=exeunt,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-safe-json-stringify-$1.tar.gz/ \
 https://github.com/joyent/node-exeunt/releases .*/archive/v?([\d\.]+).tar.gz checksum

opts=\
dversionmangle=auto,\
ctype=nodejs,\
component=mv,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-mv-$1.tar.gz/ \
 https://github.com/andrewrk/node-mv/releases .*/archive/v?([\d\.]+).tar.gz checksum

opts=\
dversionmangle=auto,\
ctype=nodejs,\
component=safejsonstringify,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-safe-json-stringify-$1.tar.gz/ \
 https://github.com/debitoor/safe-json-stringify/releases .*/archive/v?([\d\.]+).tar.gz checksum

## node-bunyan 2.0.5+~cs4.4.3

=== Makefile ===
#
# Copyright (c) 2017, Joyent, Inc.
#
# Makefile for node-exeunt
#

ESLINT = ./node_modules/.bin/eslint

#
# Targets
#
.PHONY: all
all:
	npm install


check:: check-version check-eslint

# Ensure CHANGES.md and package.json have the same version.
.PHONY: check-version
check-version:
	@echo version is: $(shell cat package.json | json version)
	[[ `cat package.json | json version` == `grep '^## ' CHANGES.md | head -2 | tail -1 | awk '{print $$2}'` ]]

$(ESLINT):
	npm install

.PHONY: check-eslint
check-eslint: $(ESLINT)
	@$< ./


.PHONY: cutarelease
cutarelease: check-version
	[[ -z `git status --short` ]]  # If this fails, the working dir is dirty.
	@which json 2>/dev/null 1>/dev/null && \
	    ver=$(shell json -f package.json version) && \
	    name=$(shell json -f package.json name) && \
	    publishedVer=$(shell npm view -j $(shell json -f package.json name)@$(shell json -f package.json version) version 2>/dev/null) && \
	    if [[ -n "$$publishedVer" ]]; then \
		echo "error: $$name@$$ver is already published to npm"; \
		exit 1; \
	    fi && \
	    echo "** Are you sure you want to tag and publish $$name@$$ver to npm?" && \
	    echo "** Enter to continue, Ctrl+C to abort." && \
	    read
	ver=$(shell cat package.json | json version) && \
	    date=$(shell date -u "+%Y-%m-%d") && \
	    git tag -a "v$$ver" -m "version $$ver ($$date)" && \
	    git push --tags origin && \
	    npm publish

=== debian/changelog ===
node-bunyan (2.0.5+~cs4.4.3-2) unstable; urgency=medium

  * Fix test for tap >= 15 (--no-cov) (Closes: #1009534)

 -- Yadd <yadd@debian.org>  Mon, 18 Apr 2022 07:46:33 +0200

node-bunyan (2.0.5+~cs4.4.3-1) unstable; urgency=medium

  * Fix GitHub tags regex
  * Update standards version to 4.6.0, no changes needed.
  * Fix filenamemangle
  * Update nodejs dependency to nodejs:any
  * Fix debian/watch: replace /releases by /tags
  * New upstream version 2.0.5+~cs4.4.3, updates exeunt 1.1.2
  * Update copyright
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Fri, 26 Nov 2021 09:48:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: node-bunyan
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
-Uploaders: Xavier Guimard <yadd@debian.org>
+Uploaders: Yadd <yadd@debian.org>
 Section: javascript
 Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
@@ -14,7 +14,7 @@
  , node-tap <!nocheck>
  , node-vasync <!nocheck>
  , node-verror <!nocheck>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-bunyan
 Vcs-Git: https://salsa.debian.org/js-team/node-bunyan.git
 Homepage: https://github.com/trentm/node-bunyan#readme
@@ -29,7 +29,7 @@
  , node-moment
  , node-ncp
  , node-rimraf
- , nodejs
+ , nodejs:any
 Provides: bunyan, ${nodejs:Provides}
 Description: simple and fast JSON logging library for node.js services
  bunyan structures server logs in JSON format.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_installexamples:
	dh_installexamples
	mkdir debian/node-bunyan/usr/share/doc/node-bunyan/examples/exeunt
	cp exeunt/examples/* debian/node-bunyan/usr/share/doc/node-bunyan/examples/exeunt/
	ln -s ../node-bunyan debian/node-bunyan/usr/share/doc/node-exeunt
	ln -s examples/exeunt debian/node-bunyan/usr/share/doc/node-bunyan/exeunt-examples

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-bunyan-$1/ \
 https://github.com/trentm/node-bunyan/tags .*/archive/.*/v?([\d\.]+).tar.gz group

opts=\
dversionmangle=auto,\
ctype=nodejs,\
component=exeunt,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-safe-json-stringify-$1/ \
 https://github.com/joyent/node-exeunt/tags .*/archive/.*/v?([\d\.]+).tar.gz checksum

opts=\
dversionmangle=auto,\
ctype=nodejs,\
component=mv,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-mv-$1/ \
 https://github.com/andrewrk/node-mv/tags .*/archive/.*/v?([\d\.]+).tar.gz checksum

opts=\
dversionmangle=auto,\
ctype=nodejs,\
component=safejsonstringify,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-safe-json-stringify-$1/ \
 https://github.com/debitoor/safe-json-stringify/tags .*/archive/.*/v?([\d\.]+).tar.gz checksum
